tg2 packaging: status update
authorStefano Zacchiroli <zack@upsilon.cc>
Mon, 22 Jun 2009 09:45:43 +0000 (11:45 +0200)
committerStefano Zacchiroli <zack@upsilon.cc>
Mon, 22 Jun 2009 09:45:43 +0000 (11:45 +0200)
blog/posts/2009/06/turbogears_2_packaging_-_take_5.mdwn [new file with mode: 0644]

diff --git a/blog/posts/2009/06/turbogears_2_packaging_-_take_5.mdwn b/blog/posts/2009/06/turbogears_2_packaging_-_take_5.mdwn
new file mode 100644 (file)
index 0000000..77d89aa
--- /dev/null
@@ -0,0 +1,50 @@
+# TurboGears 2 packaging - it works! <small>w/o auth</small>
+
+Status update on [[my|05/kick-starting_turbogears_2_packaging]]
+[[TG2|turbogears_2_packaging_-_take_2]]
+[[packaging|turbogears_2_packaging_-_take_3]]
+[[efforts|turbogears_2_packaging_-_take_4]]:
+
+* I've formally **adopted
+  [turbogears2](http://packages.qa.debian.org/t/turbogears2.html) and
+  [turbojson](http://packages.qa.debian.org/t/turbojson.html)**. The
+  versions I uploaded in experimental a couple of days ago fix all
+  outstanding RC bugs, but are still uninstallable due to dependencies
+  waiting for [NEW](http://ftp-master.debian.org/new.html) (that's why
+  I haven't uploaded them in unstable, FWIW).
+
+* I've made up my mind about
+  **[prioritized_methods](http://pypi.python.org/pypi/prioritized_methods)**
+  and shipped it **as a contrib of PEAK-Rules**, starting from version
+  [0.5a1+r2582.1-1](http://ftp-master.debian.org/new/python-peak.rules_0.5a1+r2582.1-1.html)
+  (in NEW): it was just too tiny to deserve a package of its own. The
+  main drawback is visible from its version number: to update
+  prioritized_methods, the tarball needs to be repacked, bumping
+  "upstream version".
+
+* Good news also from the Zope team:
+  **[transaction](http://pypi.python.org/pypi/transaction/)** and
+  **[zope.sqlalchemy](http://pypi.python.org/pypi/zope.sqlalchemy/)**
+  **have been packaged** (waiting in NEW).
+
+With all that, yesterday for the first time, I was able to
+**quickstart a project and run it** using only Debian-packaged
+stuff. With a detail however: **no auth support (yet)**, because that
+part actually needs [Catwalk](http://pypi.python.org/pypi/Catwalk/)
+(and its deps) to implement the nifty admin interface. It looks like
+that that is the only remaining obstacle, and I'm working on it.
+
+Update on my `/usr/local/lib/python2.5/site-packages/`:
+
+        Catwalk-2.0.2-py2.5.egg
+        sprox-0.5.5-py2.5.egg
+        tgext.admin-0.2.4-py2.5.egg
+        tgext.crud-0.2.4-py2.5.egg
+        tw.forms-0.9.3-py2.5.egg
+
+
+*PS* as usual everything is available from [my personal
+repo](http://people.debian.org/~zack/debian/zack-unstable/), testing
+and help are welcome
+
+[[!tag lang/english planet/debian debian turbogears python]]